#!/bin/sh
#
# Python uninstaller
#
# $Id: uninstall.sh 10681 2014-06-27 01:27:45Z NiLuJe $
#
##

# Pull libOTAUtils for logging & progress handling
[ -f ./libotautils ] && source ./libotautils


HACKNAME="python"

otautils_update_progressbar

# Remove Python symlinks
logmsg "I" "uninstall" "" "removing python symlinks"
LIST="/usr/bin/python /usr/bin/python2 /usr/bin/python2.7"
for var in ${LIST} ; do
    if [ -L "${var}" ] ; then
        logmsg "I" "uninstall" "" "symbolic link ${var} -> $( readlink ${var} ) exists, deleting..."
        PYBIN="$( readlink ${var} )"
        if [ "${PYBIN}" == "/mnt/us/python/bin/python2.7" ] ; then
            rm -f "${var}"
        else
            logmsg "I" "uninstall" "" "symbolic link is not ours, skipping..."
        fi
    fi
done

otautils_update_progressbar

# Remove python tree
logmsg "I" "uninstall" "" "removing existing python tree..."
if [ -d "/mnt/us/python" ] ; then
    rm -rf "/mnt/us/python"
fi

otautils_update_progressbar

logmsg "I" "uninstall" "" "done"

otautils_update_progressbar

return 0
